## glam2 1064

=== purge/Makefile ===
# Compiler options:
CFLAGS = -Wall -O3

# Command for compiling purge:
purge: *.c *.h Makefile
	cc $(CFLAGS) -o purge *.c -lm
