=== debian/changelog ===
glam2 (1064-9) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * rename debian/NEWS.Debian debian/NEWS (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 22:07:41 +0100

glam2 (1064-8) unstable; urgency=medium

  * Team upload.
  * Build for the right architecture
    Closes: 931154

 -- Nguyen Hoang Tung <tung.nguyenhoang@toshiba-tsdv.com>  Thu, 27 Jun 2019 14:32:02 +0200

glam2 (1064-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Restrictions: allow-stderr (for all tests)

  [ Saira Hussain]
  * Fix variable name on autopkgtest

 -- Saira Hussain <saira.h0213@zoho.com>  Mon, 18 Mar 2019 08:16:36 +0100

glam2 (1064-6) unstable; urgency=medium

  [ Saira Hussain ]
  * Team upload.
  * Add autopkgtest
    Closes: #909715

  [ Andreas Tille ]
  * Standards-Version: 4.3.0

 -- Saira Hussain <saira.h0213@zoho.com>  Sat, 16 Mar 2019 22:56:33 +0100

glam2 (1064-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added ref to publication for superseded predecessor "glam" that
      is not in Debian itself.
    - yamllint cleanliness
    - Added references to catalogs.

  [ Andreas Tille ]
  * Drop get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 17:43:56 +0200

glam2 (1064-4) unstable; urgency=medium

  [ James McCoy ]
  * Moved debian/upstream to debian/upstream/metadata

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)
  * debhelper 10
  * No separate download for this package any more thus fake watch file
  * New homepage reflecting the merge with (unfortunately non-free) meme
  * Explain glam from meme in README.source
  * do not parse d/changelog
  * hardening

 -- Andreas Tille <tille@debian.org>  Wed, 27 Sep 2017 16:07:05 +0200

glam2 (1064-3) unstable; urgency=low

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream’.

  [ Andreas Tille ]
  * debian/upstream: Took over some bit sof information from tasks
    file and move DOI+PMID to references
  * debian/control:
     - canonical Vcs fields
     - cme fix dpkg-control
  * debian/source/format: 3.0 (quilt)
  * debhelper 9 (control+compat)
  * debian/copyright: DEP5
  * debian/NEWS.Debian: Explain maintenance in MEME
  * debian/patches/hardening: propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2013 15:07:59 +0100

glam2 (1064-2) unstable; urgency=low

  * debian/control, debian/reference: simplified long description and moved
    bibliographic references to a new file.

 -- Charles Plessy <plessy@debian.org>  Tue, 21 Apr 2009 21:49:54 +0900

glam2 (1064-1) unstable; urgency=low

  [ Charles Plessy ]
  * New upstream release
    - One paragraph added to the tutorial.
    - Uses CFLAGS in makefiles (thanks Martin!)
  * Changed the doc-base section according to the new policy.
  * Updated my email address.
  * Added a get-orig-source target in debian/rules.
  * debian/patches/Makefiles removed because obsoleted.

  [ Andreas Tille ]
  * Better formatting of long description.

 -- Charles Plessy <plessy@debian.org>  Mon, 19 May 2008 18:46:20 +0900

glam2 (1058-1) unstable; urgency=low

  * New upstream release (Fixes bug in usage message: z_def was out of order.)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 14 Feb 2008 13:05:54 +0900

glam2 (1056-1) unstable; urgency=low

  * Initial release (Closes: #45237)

 -- Steffen Moeller <moeller@debian.org>  Tue, 13 Nov 2007 00:35:50 +0100
