=== debian/tests/control ===
Tests: check-no-args
Depends: @
Restrictions: allow-stderr

Tests: run-unit-test
Depends: @
Restrictions: allow-stderr
